package ${basePackage}.module.system.req;

import ${basePackage}.frame.base.BaseFindRequest;
import ${basePackage}.frame.validation.Dict;

/**
 * LogErrRequest -  错误日志查询
 *
 * @author wangbing
 * @version 0.0.1
 * @since 2017-01-01
 */
public class LogErrFindRequest extends BaseFindRequest {

    /**
     * 错误类型
     */
    @Dict(name = "LOG_ERR_TYPE")
    private String logErrType;

    /**
     * 错误标题
     */
    private String title;

    /**
     * 处理结果
     */
    @Dict(name = "LOG_ERR_RESULT")
    private String logErrResult;

    /**
     * 属性1
     */
    private String attribute1;

    /**
     * 属性2
     */
    private String attribute2;

    /**
     * 属性3
     */
    private String attribute3;

    public String getLogErrType() {
        return this.logErrType;
    }

    public void setLogErrType(String logErrType) {
        this.logErrType = logErrType;
    }

    public String getTitle() {
        return this.title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getLogErrResult() {
        return this.logErrResult;
    }

    public void setLogErrResult(String logErrResult) {
        this.logErrResult = logErrResult;
    }

    public String getAttribute1() {
        return this.attribute1;
    }

    public void setAttribute1(String attribute1) {
        this.attribute1 = attribute1;
    }

    public String getAttribute2() {
        return this.attribute2;
    }

    public void setAttribute2(String attribute2) {
        this.attribute2 = attribute2;
    }

    public String getAttribute3() {
        return this.attribute3;
    }

    public void setAttribute3(String attribute3) {
        this.attribute3 = attribute3;
    }
}
